#include <bits/stdc++.h>
using namespace std;
int main(){
    string x,y;
    cin >> x >> y;
    int duzinax,duzinay,manja;
    duzinax=x.size();
    duzinay=y.size();
    manja=min(duzinax,duzinay);
    string novix,noviy;
    novix="";
    noviy="";
    for(int i=duzinax-1;i>-1;i--){
        novix+=x[i];
    }
    for(int i=duzinay-1;i>-1;i--){
        noviy+=y[i];
    }
    string rez;
    rez="";
    int brojx,brojy;
    for(int i=0;i<manja;i++){
        brojx=(int)novix[i];
        brojy=(int)noviy[i];
        if(brojx==brojy){
            rez+=novix[i];
            rez+=novix[i];
        }
        if(brojx>brojy){
            rez+=novix[i];
        }
        if(brojy>brojx){
            rez+=noviy[i];
        }
    }
    string novirez;
    novirez="";
    bool kraj=false;
    if(duzinax==duzinay){
        for(int i=rez.size()-1;i>-1;i--){
            novirez+=rez[i];
        }
        kraj=true;
    }
    if(manja==duzinax && kraj==false){
        for(int i=manja;i<duzinay;i++){
            rez+=noviy[i];
        }
        for(int i=rez.size()-1;i>-1;i--){
            novirez+=rez[i];
        }
        kraj=true;
    }
    if(manja==duzinay && kraj==false){
        for(int i=manja;i<duzinax;i++){
            rez+=novix[i];
        }
        for(int i=rez.size()-1;i>-1;i--){
            novirez+=rez[i];
        }
    }
    cout << novirez;
}